Page MenuHomePhabricator

PerDbNameStatsdDataFactory will not submit its stats
Closed, ResolvedPublic

Description

Stats will not get emitted as MediaWiki::emitBufferedStatsdData is never called for the PerDbName factory.

Possible solutions:

  • When emitting events for the default StatsdDataFactory, also emit for the PerDbName factory
  • Instead create a wrapper class implementing StatsdDataFactoryInterface that takes the extra prefix to be added to metrics, resulting in a single buffering factory for stats to be emitted from, something like "PrefixingStatsdDataFactoryProxy"

The PerDbName factory was initially introduced in https://gerrit.wikimedia.org/r/#/c/443467/

Details

Event Timeline

Addshore created this task.Aug 17 2018, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2018, 3:22 PM
Addshore updated the task description. (Show Details)Aug 17 2018, 4:58 PM

Change 453575 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Create and use PrefixingStatsdDataFactoryProxy

https://gerrit.wikimedia.org/r/453575

Addshore moved this task from Next to Active 🚁 on the User-Addshore board.Aug 18 2018, 10:25 AM

Change 453575 merged by jenkins-bot:
[mediawiki/core@master] Create and use PrefixingStatsdDataFactoryProxy in PerDbNameStatsdDataFactory

https://gerrit.wikimedia.org/r/453575

Addshore triaged this task as Medium priority.Aug 22 2018, 3:22 PM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore closed this task as Resolved.Aug 30 2018, 8:56 AM

This is now working :)